#ifndef AardErrors_h
#define AardErrors_h

// Define the global error bitmap flags which may be reported asynchrnously

#define GLOB_ERR_SENDING_DISRUPTED   0x0001u  // rug yanked out from sender
#define GLOB_ERR_RECEIVING_DISRUPTED 0x0002u  // rug yanked out from receiver
#define GLOB_ERR_PROTOCOL            0x0004u  // saw bilge rather than command

// Define the errors codes that may be reported in a MKR_NACK reply

#define ERR_TOO_MUCH_DATA   0x0001u   // command too long
#define ERR_MISSING_DATA    0x0002u   // command missing data
#define ERR_BAD_FREQUENCY   0x0003u   // unable to set IR modulation frequency
#define ERR_UNKNOWN_COMMAND 0x0004u   // unrecognized command code

#endif // AardErrors_h
